class TestCRC16 < Test::Unit::TestCase
  def test_crc_calculate
    str = YubiRuby::HEX.decode '6d8dec07884101002216a1041b7c'
    otp_decoded = YubiRuby::HEX.decode '6d8dec07884101002216a1041b7c105e'
    crc = 24080
    assert_equal(0xF0B8, YubiRuby::CRC16.calculate(otp_decoded))
    assert_equal(crc, YubiRuby::CRC16.calculate(str).ones_complement(16))
  end
  
end